> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Model

> 
Create or upsert a custom model configuration for the account.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/models
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/models:
    post:
      tags:
        - Models
      summary: Create Model
      description: |-

        Create or upsert a custom model configuration for the account.
      operationId: post_replicate_model
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  format: uuid
                  title: Id
                  type: string
                name:
                  title: Name
                  type: string
                provider_name:
                  title: Provider Name
                  type: string
                model_family:
                  title: Model Family
                  type: string
                model_version:
                  title: Model Version
                  type: string
                display_name:
                  default: null
                  title: Display Name
                  type:
                    - string
                    - 'null'
                provider_info:
                  default: null
                  title: Provider Info
                  additionalProperties:
                    type: string
                  type:
                    - object
                    - 'null'
                supports_tool_use:
                  default: true
                  title: Supports Tool Use
                  type: boolean
              required:
                - id
                - name
                - provider_name
                - model_family
                - model_version
              title: ReplicateModelRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  display_name:
                    title: Display Name
                    type:
                      - string
                      - 'null'
                  provider_name:
                    title: Provider Name
                    type: string
                  provider_info:
                    title: Provider Info
                    additionalProperties:
                      type: string
                    type:
                      - object
                      - 'null'
                  supports_tool_use:
                    title: Supports Tool Use
                    type: boolean
                  model_family:
                    title: Model Family
                    type: string
                  model_version:
                    title: Model Version
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                required:
                  - id
                  - name
                  - display_name
                  - provider_name
                  - provider_info
                  - supports_tool_use
                  - model_family
                  - model_version
                  - created_at
                title: ModelReplicationInfo
                type: object
          description: >-
            ModelReplicationInfo(id: uuid.UUID, name: str, display_name:
            Optional[str], provider_name: str, provider_info: Optional[dict[str,
            str]], supports_tool_use: bool, model_family: str, model_version:
            str, created_at: datetime.datetime)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````